/* Importar a fonte Chango do Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Chango:wght@400&display=swap');

/* Reset de margens e preenchimentos e box-sizing para todos os elementos */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Estilos para o header */
header {
  background-color: black;
  display: flex;
  justify-content: space-between;
  padding: 10px 10px;
  align-items: center;
  text-shadow: 2px 2px 4px rgba(194, 174, 174, 0.5);
  font-weight: bold;
}

/* Estilos para o logo */
.logo {
  display: flex;
  align-items: center;
}

.logo h2 {
  margin-top: 10px;
  font-size: 36px;
  color: white;
  margin-left: 20px;
  font-family: 'Chango', sans-serif; 
}

.logo img {
  width: 105px;
  height: 97px;
}

/* Estilos para o menu */
.menu ul {
  display: flex;
}

.menu ul li {
  margin-right: 20px;
}

.menu ul li a {
  font-family: 'Chango', sans-serif; 
  letter-spacing: 1.5px;
  text-decoration: none;
  font-size: 20px;
  color: white;
  text-shadow: 2px 2px 4px rgba(194, 174, 174, 0.5);
  font-weight: bold;
}

/* Estilos do main */
main {
    position: relative; /* Permite que o gato seja posicionado dentro do main */
    background-color: #FAF2E6;
    padding: 60px 40px;
    font-family: 'Chango', sans-serif;
    min-height: 90vh;
}


.produto_conteudo {
    display: flex;
    justify-content: center;
}

.imagem_pruduto img {
    width: 450px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.4);
    border-radius: 20px;
    margin-right: 80px;
}

.produto_compra {
    margin-left: 20px;
}

.blocoT h2 {
    background-color: black;
    color: white;
    text-align: center;
}

.produto_compra > p {
    text-align: center;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 25px;
    padding: 10px 0;
}

.tabela_input {
    display: flex;
    flex-direction: column;
}

.linha_bloco {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin: 10px 0;
}

.linha_bloco label {
    font-style: oblique;
    font-size: 25px;
    margin-right: 20px; /* Adiciona mais espaço entre o label e o input */
    min-width: 150px; /* Garante que todos os labels tenham a mesma largura, alinhando os inputs */
}

.linha_bloco input[type=radio] {
    width: 20px;
    height: 20px;
}

.valor input[type=submit] {
    background-color: black;
    color: white;
    width: 100%;
    height: 50px;
    font-size: 19px;
    font-family: 'Courier New', Courier, monospace;
}

/* Link voltar */
.voltar {
    display: inline-block;
    margin-bottom: 20px;
    color: black;
    text-decoration: none;
    font-weight: bold;
    font-size: 24px;
    padding-left: 10px;
    padding-right: 10px;
}

.imagem-produto {
    width: 300px; /* Aumentar o tamanho da imagem */
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin: 20px; /* Adiciona espaçamento ao redor da imagem */
}

.imagem-voltar {
    display: block; /* Garante que a imagem seja exibida em uma nova linha */
    margin-bottom: 20px; /* Espaço abaixo da imagem */
    width: 50px; /* Ajuste a largura conforme necessário */
    height: auto; /* Mantém a proporção da imagem */
}

.imagem-voltar {
  display: block;
  margin-bottom: 20px;
  width: 50px;
  height: auto;
  transition: transform 0.3s ease; /* Transição suave */
}

.imagem-voltar:hover {
  transform: translateX(10px) scale(1.1); /* Move para a direita e aumenta o tamanho */
}


h1 {
    font-size: 44px; /* Aumentar o tamanho da fonte */
    margin-bottom: 10px;
    font-weight: bold;
}

select {
    padding: 15px; /* Aumentar o tamanho do dropdown */
    font-size: 18px;
    margin-bottom: 20px;
    border: 2px solid #000;
    border-radius: 8px;
    background-color: #fff;
}

/* Estilos do rodapé */
footer {
    background-color: black;
    position: relative;
    padding: 20px 0;
    color: white;
    text-align: center;
    font-family: 'Chango', sans-serif;
    z-index: 1;
  }
  
  footer::before {
    content: '';
    position: absolute;
    top: -40px;
    left: 0;
    width: 100%;
    height: 80px;
    background-size: 40px 80px;
    z-index: 0;
  }
  
  footer .info {
    position: relative;
    z-index: 1;
  }
  
  footer a{
    color: #fdf5e6;
    font-size: 15px;
    font-family: 'Chango', sans-serif;
}

footer a:hover{
    color: #ba936b;
}

.gato-canto {
    position: absolute;
    bottom: 110px;
    right: 0;
    width: 370px; /* Ajuste o tamanho conforme necessário */
    z-index: 1; /* Coloca o gato atrás de outros conteúdos */
    opacity: 0.8; /* Opacidade para um efeito sutil */
}

/* Estilo normal do link */
h2 a {
    text-decoration: none;
    color: white;
    font-family: 'Chango', sans-serif;
    transition: color 0.3s ease, transform 0.3s ease;
  }
  
  /* Estilo ao passar o mouse */
  h2 a:hover {
    color: #D2B48C; 
    transform: scale(1.1); /* Aumenta o tamanho do texto em 10% */
  }
